Subject: Re: What's cooking in git.git (May 2020, #08; Sun, 24)

From: "brian m. carlson" <[email-masked]>
Date: Mon, 25 May 2020 17:53:09 +0000

On 2020-05-25 at 17:27:08, Todd Zullinger wrote:
> Hi,
> 
> Junio C Hamano wrote:
> > Git 2.27-rc2 will be tagged soon, but most of the topics planned for
> > it are already in 'master'.
> 
> There's a minor issue in the ss/faq-ignore topic which
> breaks the doc build on CentOS/ RHEL 6 that was mentioned by
> Son Luong Ngoc¹.  The "." in the anchor text causes an issue
> for the older doc toolchain on these systems.
> 
> I included a simple patch for that in a reply².  I haven't
> seen any discussion on it one way or another.  At the risk
> of pestering, I thought I'd mention it in case it had just
> flown under everyone's radar during this busy time.
> 
> On one hand, the doc build toolchain on CentOS / RHEL 6 is
> old and those systems will be EOL at the end of November.
> So we might find it acceptable to stop supporting the doc
> build there.
> 
> On the other hand, the fix/workaround is quite trivial and
> nearly imperceptible to readers of the documentation.  The
> problematic "." in ".gitiginore" only appears in the anchor
> link for HTML viewers or in the plain text for readers of
> the .txt file:
> 
>     [[files-in-.gitignore-are-tracked]]
> 
> vs.
> 
>     [[files-in-gitignore-are-tracked]]
> 
> I'm not sure there's enough value in keeping the "." in this
> case to justify breaking the doc build for users stuck on an
> old CentOS / RHEL 6 system.
> 
> I think the risk of applying the patch is sufficiently low
> that it would be worth including in 2.27.0.  That is, unless
> there is a strong opinion that the "." is quite useful or
> that even low effort isn't worth taking to support such an
> old doc toolchain.

I think since this is an anchor link it's just fine to change for
compatibility.  People are already used to slugs in fragments and
elsewhere that don't include every possible component, and I think it
would be better to produce more compatible ones over more precise ones.
The burden of the change is very small, and the benefit is much greater.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204